/* rmmoz.cmd Version 1.10                                     */
/* script to start RexxMail from Mozilla via the mailto: link           */
/*                                                                    */
/* to use this script you have to change the prefs.js file            */
/* please add/change the following three lines in prefs.js            */
/* please change "H:\\temp\\pmmail.cmd" with your path to rmmoz.cmd  */
/*     user_pref("applications.mailto", "H:\\temp\\rmmoz.cmd");      */
/*     user_pref("applications.mailto.parameters", "\"%url%\"");      */
/*     user_pref("network.protocol-handler.external.mailto", true);   */
/*                                                                    */
/* You have also to change line 18, 22 and 26 in this script          */
/* (c) 10.07.2002 Oliver Poggensee op@opweb.de http://www.opweb.de    */

/* name of the RexxMail account you want to use */
/* leave it blank (defaultAccount = "") if you have only one account, */
/* or want to use the default one */
/* Please change the line below to your needs */
defaultAccount = "test"

/* Directory where RexxMail.cmd is stored */
/* Please change the line below to your needs */
rexxmailpath = 'H:\temp\rexxmail'

/* path where  RexxWeb & RexxUni are stored */
/* Please change the line below to your needs */
rexxdll="h:\Working\source\pmmailMozilla"

/* Get the argument */
Parse arg url

/* delete leeding and traling spaces */
url = Strip(url)

/* delete the first and last two characters (\") */
url = Right(url, Length(url) -2)
url = Left(url, Length(url) - 2)

/* Change to the directory which contains RexxWeb & RexxUni dll's */
rc = Directory(rexxdll)

/* Load the RexxWeb dll */
call RxFuncAdd 'RexxwebLoadFuncs', 'REXXWEB', 'RexxwebLoadFuncs'
call RexxwebLoadFuncs

/* Load the Rexx Unicode dll */
Call RxFuncAdd 'UniLoadFuncs', 'RexxUni', 'UniLoadFuncs'
Call UniLoadFuncs

/* decode the URL encoded characters */
/* carige return and line feed will be deleted */
rc = URL2Ascii('url' ,CL)

/* change the codepage from 819(ISO 8859-1) to System default */
url = UniXlat(url, "0", "819")

/* change to the RexxMail directory */
rc = Directory(Rexxmailpath)

/* start RexxMail */
If defaultAccount = "" Then
    call rexxmail '/newmessageopen "' || url || '"'
Else
    call rexxmail '/user "' || defaultAccount || '" /newmessageopen "' || url || '"'

Exit
